import { world, system } from "@minecraft/server";

world.afterEvents.entityDie.subscribe((data) => {
    if (data.deadEntity.typeId == "minecraft:player") {
        const entity = data.deadEntity
        const dim = data.deadEntity.dimension.id
        const playerLocx = Math.round(entity.location.x)
        const playerLocy = Math.round(entity.location.y)
        const playerLocz = Math.round(entity.location.z)
        let text1 =
            `§2=> §6§lSenin öldüğün yerin konumu: (§b${playerLocx}, ${playerLocy}, ${playerLocz}§6)§r`
        data.deadEntity.runCommand(`tell @s ${JSON.stringify(text1)}`)
        if (world.getDimension(dim).runCommand(
            `testfor @e[x=${playerLocx},y=${playerLocy},z=${playerLocz},type=item,r=8]`
        ).successCount.toString() != "0") {
            system.run(() => {
                world.getDimension(dim).runCommand(`setblock ${playerLocx} ${playerLocy} ${playerLocz} air[] destroy`)
                entity.runCommand(`kill @e[type=nk:mezar,r=9,x=${playerLocx},y=${playerLocy},z=${playerLocz}]`)
                world.getDimension(dim).runCommand(`summon nk:mezar ${playerLocx} ${playerLocy} ${playerLocz}`)
                world.getDimension(dim).runCommand(`execute at @e[type=nk:mezar] run tp @e[type=item,r=8] @e[type=nk:mezar]`)
            })
        }
    }
})